// creator  : weidu.exe (version 23100)
// argument : MURDGIRL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MURDGIRL~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 18 even though they appear after this state */
~Gender(LastTalkedToBy,MALE)
Global("TalkedToInspector","GLOBAL",1)
!Global("TalkedToHooker2","GLOBAL",1)
!Global("TannerExposed","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #26111 /* ~Hello there, handsome. What is it that Rose can do for you? Need a little rest and relaxation from your travels?~ */
  IF ~~ THEN REPLY #26160 /* ~Perhaps, though I am more interested in a little information right now.~ */ GOTO 3
  IF ~~ THEN REPLY #26161 /* ~With you? Not on your life. I just want some answers.~ */ GOTO 4
  IF ~~ THEN REPLY #26162 /* ~No, thank you.~ */ GOTO 2
END

IF WEIGHT #2 /* Triggers after states #: 18 even though they appear after this state */
~Gender(LastTalkedToBy,FEMALE)
Global("TalkedToInspector","GLOBAL",1)
!Global("TalkedToHooker2","GLOBAL",1)
!Global("TannerExposed","GLOBAL",1)~ THEN BEGIN 1 // from:
  SAY #26112 /* ~Oh, honey, I'm not walking the right side of the street for what you want.  I can point you in the right direction, though. What are you looking for?~ */
  IF ~~ THEN REPLY #26164 /* ~I'm just looking for some information.~ */ GOTO 3
  IF ~~ THEN REPLY #26165 /* ~Don't disgust me with innuendo. I just want you to answer some questions.~ */ GOTO 4
  IF ~~ THEN REPLY #26166 /* ~Nothing, thank you.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.2 0.2
  SAY #26167 /* ~Whatever you want. I'll be here.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.0 0.0
  SAY #26169 /* ~Information costs just like anything else. If you've got the coin I'll chit chat as long as you like. Twenty gold to your tastes? We'll have a nice long talk.~ */
  IF ~PartyGoldGT(19)
~ THEN REPLY #26177 /* ~I'll pay your little fee.~ */ DO ~TakePartyGold(20)
~ GOTO 7
  IF ~~ THEN REPLY #26178 /* ~Too high for me.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 1.1 0.1
  SAY #26172 /* ~I see. You keep talking like that and you'll get some answers you didn't ask for. Understand? I'll talk for you, but it costs, just like anything else.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #26179 /* ~I'll talk for you, but my price is forty gold. Take it or come back when you've got some manners.~ */
  IF ~PartyGoldGT(39)
~ THEN REPLY #26180 /* ~I'll pay your gold.~ */ DO ~TakePartyGold(40)
~ GOTO 7
  IF ~~ THEN REPLY #26182 /* ~Too high for me.~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.1 3.1
  SAY #26183 /* ~That's unfortunate. Come back when you are a little more provided for.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.0 3.0
  SAY #26186 /* ~Good. Talk all you want then. I'll be your sympathetic ear. What's on baby's mind?~ */
  IF ~~ THEN REPLY #26187 /* ~The guard seemed to think you saw something at a recent murder.~ */ GOTO 8
  IF ~~ THEN REPLY #26188 /* ~I want to know what you saw when the last person was murdered. Tell me.~ */ GOTO 9
  IF ~~ THEN REPLY #26189 /* ~Do you know who the murderer is? Don't lie to me if you do.~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #26194 /* ~That Aegisfield talks too much. I told him what I saw, which was nothing.  A man in a hood... that's all I saw. Didn't know the poor sod that died.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 7.1
  SAY #26198 /* ~Don't get excited, it's not worth your effort. I saw so much of nothing. A man in a hood ran by me. Didn't know him or the poor sod that died.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 7.2
  SAY #26200 /* ~What's it to you? You're no guard, and you don't sound like no concerned citizen. Anyway, I saw nothing. A man in a hood. I didn't even know the victim.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0 9.0 8.0
  SAY #26202 /* ~Wait. There was something. A smell... besides the blood, I mean. I think I smelled... guril berries. Yes, that's it.  Guril berries, or something like it.~ */
  IF ~~ THEN REPLY #26206 /* ~Guril berries? What are they used for?~ */ GOTO 12
  IF ~~ THEN REPLY #26207 /* ~Doesn't sound very important to me.~ */ GOTO 13
  IF ~~ THEN REPLY #26208 /* ~Would you recognize this smell if you smelled it again?~ */ GOTO 14
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #26211 /* ~I can't recall. The guards didn't seem to think the information was important. They just laughed. I would probably recognize it if I smelled it again.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 13 // from: 11.1
  SAY #26213 /* ~That's why I forgot it. The guards didn't think so either. They just laughed. I might recognize it if I smelled it again though.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 14 // from: 11.2
  SAY #26214 /* ~I might. I didn't think it was important though, and neither did the guards. They just laughed.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0 13.0 12.0
  SAY #26216 /* ~Talk to that merchant, Bel. He might know what smells like that. I'll see if I can choose between whatever he suggests. That'll help you, sweety.~ */
  IF ~~ THEN REPLY #26222 /* ~Thank you. I'll be back as soon as I can.~ */ GOTO 16
  IF ~~ THEN REPLY #26223 /* ~Don't go running off on me. I'll be back and you'd better be here.~ */ GOTO 17
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #26225 /* ~I'll be waiting. You bought your time.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToHooker1","GLOBAL",1)
~ UNSOLVED_JOURNAL #34249 /* ~Solve the 'skinner' murders in the Bridge District.

The courtesan, Rose, thought she remembered a smell at the murder scene... she said it was akin to guril berries, but couldn't place it exactly.  She directed me to Bel, a merchant, who she stated would know more about things that smelled like the berries and offered to differentiate between the odors that Bel thought of.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from: 15.1
  SAY #26226 /* ~Oooh, you sure know how to sweet-talk the ladies. I'll be here; you paid for your time.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToHooker1","GLOBAL",1)
~ UNSOLVED_JOURNAL #34249 /* ~Solve the 'skinner' murders in the Bridge District.

The courtesan, Rose, thought she remembered a smell at the murder scene... she said it was akin to guril berries, but couldn't place it exactly.  She directed me to Bel, a merchant, who she stated would know more about things that smelled like the berries and offered to differentiate between the odors that Bel thought of.~ */ EXIT
END

IF WEIGHT #0 ~Global("TalkedToHooker1","GLOBAL",1)
!Global("TalkedToHooker2","GLOBAL",1)
!Global("TannerExposed","GLOBAL",1)~ THEN BEGIN 18 // from:
  SAY #26227 /* ~Back again? This has to be the weirdest question I've ever asked a customer, but do you have what you wanted me to smell?~ */
  IF ~PartyHasItem("misc6c")
PartyHasItem("misc6d")
PartyHasItem("misc6e")
~ THEN REPLY #26231 /* ~Yes I do. He gave me three things for you to sample.~ */ GOTO 20
  IF ~PartyHasItem("misc6c")
PartyHasItem("misc6d")
PartyHasItem("misc6e")
~ THEN REPLY #26232 /* ~Yes, now get to work. Which of these three was it?~ */ GOTO 20
  IF ~~ THEN REPLY #26233 /* ~No, thanks. I'll be back.~ */ GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.2
  SAY #26236 /* ~And I'll be waiting. Don't be too long.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 20 // from: 18.1 18.0
  SAY #26237 /* ~Alright then, I'll have a look. Let me have those.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC6C")
TakePartyItem("MISC6D")
TakePartyItem("MISC6E")~ GOTO 21
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY #26238 /* ~Hmm, oh. Um, I've just remembered why I knew it smelled like guril berries. Ehh, that was not what the man smelled like. Aw, no wonder the guards were laughing. Never mind. Next.~ */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #26239 /* ~Mmm, solik berries. Mumbleberry pie, right? That's not the smell though. Good thing too. I'd hate to think of the murders every time I smelled a pie. Next.~ */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #26241 /* ~Hmm, that's the one. This... tree bark... stuff? It was stronger smelling on him though. This is the same, but it's faint. What would make him smell like this?~ */
  IF ~~ THEN REPLY #26249 /* ~It's oak bark. It's used to make tannin, for making leather.~ */ GOTO 24
  IF ~~ THEN REPLY #26250 /* ~None of your business. Thank you for your time. Goodbye.~ */ GOTO 25
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY #26252 /* ~So he might have worked with leather? Odd. Well, I hope that helped. You've got what you wanted. Off with you now. Perhaps... no. Goodbye.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToHooker2","GLOBAL",1)
~ UNSOLVED_JOURNAL #34276 /* ~Solve the 'skinner' murders in the Bridge District.

The courtesan, Rose, tested the three samples Bel gave me and identified the oak bark as the one that the murderer smelled of, only much stronger.  The bark is used to make tannin, so it is likely that the murderer worked with leather in some way.~ */ EXIT
END

IF ~~ THEN BEGIN 25 // from: 23.1
  SAY #26256 /* ~Alright then, you've got what you came for, now beat it.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToHooker2","GLOBAL",1)
~ UNSOLVED_JOURNAL #34276 /* ~Solve the 'skinner' murders in the Bridge District.

The courtesan, Rose, tested the three samples Bel gave me and identified the oak bark as the one that the murderer smelled of, only much stronger.  The bark is used to make tannin, so it is likely that the murderer worked with leather in some way.~ */ EXIT
END

IF WEIGHT #3 ~NumTimesTalkedTo(0)
~ THEN BEGIN 26 // from:
  SAY #26441 /* ~Move along, deary. I've no time for simple chit chat. Maybe we can talk when you have something important to say.~ */
  IF ~~ THEN DO ~SetNumTimesTalkedTo(0)
~ EXIT
END

IF WEIGHT #4 ~True()
~ THEN BEGIN 27 // from:
  SAY #31088 /* ~Move along, deary. I've no time for simple chit chat. Maybe we can talk when you have something important to say.~ */
  IF ~~ THEN EXIT
END
